Skip to main content
GET
/
api
/
intelligence-layer
/
metrics
List metrics with org configuration for the authenticated organization
curl --request GET \
  --url https://app.solya.app/api/intelligence-layer/metrics \
  --header 'Authorization: Bearer <token>'
[
  {
    "body": {
      "kind": "precomputed_column",
      "source": {
        "column": "coverage_weeks",
        "table": "gold.stock_snapshot"
      }
    },
    "category": "STOCK",
    "configSchema": null,
    "createdAt": "2026-01-10T08:00:00.000Z",
    "defaultConfig": {
      "coverageWeeks": 12
    },
    "description": "Number of weeks of forward coverage based on current stock and average sales.",
    "displayName": "Coverage (weeks)",
    "enabled": true,
    "grain": [
      "shop_id",
      "variant_id"
    ],
    "id": "metric-uuid-1",
    "isConfigurable": true,
    "metricName": "coverage_weeks",
    "organizationId": null,
    "outputColumn": "coverage_weeks",
    "outputType": "DOUBLE",
    "parameters": {
      "coverageWeeks": 12
    },
    "scope": "GLOBAL",
    "subcategory": null,
    "updatedAt": null,
    "version": 2
  }
]

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Response

Successful response

data
object[]
required
success
enum<boolean>
required
Available options:
true